> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/reference/apis/subscription-reminder-sent.md).

# Subscription Reminder Sent

## Subscription Reminder Sent

This event is triggered when a reminder about an upcoming subscription installment is generated/sent.

## Properties

| **Name**              | **Type**   | **Description**                                                                                                                        | **Required** |
| --------------------- | ---------- | -------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| `subscription_id`     | `string`   | Unique ID of the subscription                                                                                                          | Yes          |
| `interval_length`     | `number`   | Combined with `interval_units`, specifies the cadence of the subscription. E.g. for a **3 week** cadence, this value will be `3`.      | No           |
| `interval_units`      | `string`   | Combined with `interval_length`, specifies the cadence of the subscription. E.g. for a **3 week** cadence, this value will be `weeks`. | No           |
| `actionable_date`     | `string`   | ISO date when the next installment order will be generated.                                                                            | No           |
| `state`               | `string`   | State of the subscription (e.g. `active`, `paused`, `canceled`).                                                                       | No           |
| `payment_method_name` | `string`   | Name of the payment method for installment orders.                                                                                     | No           |
| `email`               | `string`   | Email address associated with the subscription                                                                                         | No           |
| `canceled_at`         | `string`   | ISO date when the subscription was canceled, if applicable                                                                             | No           |
| `canceled_by`         | `string`   | Email address of the user who canceled the subscription, if applicable                                                                 | No           |
| `activated_at`        | `string`   | ISO date when the subscription was activated                                                                                           | Yes          |
| `address`             | `object`   | Shipping address of the subscription.                                                                                                  | Yes          |
| `products`            | `object[]` | Products in the subscription                                                                                                           | Yes          |

### Address

| **Name**            | **Type** | **Description**                                          | **Required** |
| ------------------- | -------- | -------------------------------------------------------- | ------------ |
| `address1`          | `string` | The street address of the customer                       | No           |
| `address2`          | `string` | Additional street address of the customer (if necessary) | No           |
| `alternative_phone` | `string` | Customer's alternative phone number                      | No           |
| `phone`             | `string` | Customer's phone number                                  | No           |
| `city`              | `string` | City of the shipping address                             | No           |
| `company`           | `string` | Name of the company, if applicable                       | No           |
| `country`           | `string` | ISO country code for the shipping address                | No           |
| `name`              |          | Customer name                                            | No           |
| `state`             | `string` | ISO state code for the shipping address                  | No           |
| `zipcode`           | `string` | Zip or postal code for the shipping address              | No           |

### Products array

| **Name**       | **Type** | **Description**                                                                          | **Required** |
| -------------- | -------- | ---------------------------------------------------------------------------------------- | ------------ |
| `affiliation`  | `string` | Store or affiliation from which this transaction occurred (for example, "Google Store"). | No           |
| `brand`        | `string` | Brand associated with the product                                                        | No           |
| `line_item_id` | `string` | ID of the line item in the database                                                      | No           |
| `name`         | `string` | Name of the product                                                                      | Yes          |
| `position`     | `number` | Position in the product list                                                             | No           |
| `price`        | `number` | Price of the product                                                                     | Yes          |
| `product_id`   | `string` | ID of the product in the database                                                        | Yes          |
| `quantity`     | `number` | The quantity of products purchased in this line item                                     | Yes          |
| `revenue`      | `number` | Revenue ($) associated with this line item (excluding shipping and tax)                  | Yes          |
| `sku`          | `string` | SKU of the variant                                                                       | Yes          |
| `variant_name` | `string` | Name of the variant                                                                      | No           |
| `variant_id`   | `string` | ID of the variant in the database                                                        | No           |

## Sample payload

```json
{
  "type": "track",
  "event": "Subscription Reminder Sent",
  "properties": {
    "subscription_id": "1",
    "interval_length": 3,
    "interval_units": "weeks",
    "actionable_date": "2026-01-01T00:00:00.000Z",
    "state": "active",
    "payment_method_name": "Stripe",
    "email": "user@example.com",
    "canceled_at": null,
    "canceled_by": null,
    "activated_at": "2026-01-01T00:00:00.000Z",
    "address": {
      "address1": "123 Fake St",
      "address2": null,
      "alternative_phone": null,
      "phone": "123456789",
      "city": "Oak Lawn",
      "state": "IL",
      "country": "US",
      "name": "John Doe",
      "zipcode": "60532"
    },
    "products": [
      {
        "affiliation": "Affiliation",
        "brand": "Brand",
        "line_item_id": "16207084552295",
        "name": "Product Name",
        "position": 1,
        "price": 219,
        "product_id": "7036464939671",
        "quantity": 1,
        "revenue": 219,
        "sku": "SKU123",
        "variant": "Variant Name",
        "variant_id": "40952658057847"
      }
    ]
  }
}
```

## Example

```bash
curl https://production.cdp.ingest.chord.co/api/track \
--header "Content-Type: application/json" \
--header "X-Write-Key: $CDP_WRITE_KEY" \
--data-raw '
{
  "type": "track",
  "event": "Subscription Reminder Sent",
  "properties": {
    "subscription_id": "1",
    "interval_length": 3,
    "interval_units": "weeks",
    "actionable_date": "2026-01-01T00:00:00.000Z",
    "state": "active",
    "payment_method_name": "Stripe",
    "email": "user@example.com",
    "canceled_at": null,
    "canceled_by": null,
    "activated_at": "2026-01-01T00:00:00.000Z",
    "address": {
      "address1": "123 Fake St",
      "address2": null,
      "alternative_phone": null,
      "phone": "123456789",
      "city": "Oak Lawn",
      "state": "IL",
      "country": "US",
      "name": "John Doe",
      "zipcode": "60532"
    },
    "products": [
      {
        "affiliation": "Affiliation",
        "brand": "Brand",
        "line_item_id": "16207084552295",
        "name": "Product Name",
        "position": 1,
        "price": 219,
        "product_id": "7036464939671",
        "quantity": 1,
        "revenue": 219,
        "sku": "SKU123",
        "variant": "Variant Name",
        "variant_id": "40952658057847"
      }
    ]
  }
}
'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/reference/apis/subscription-reminder-sent.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
